GNOME-TERMINAL.WRAPPER(1)

NAME
gnome-terminal.wrapper - x-terminal-emulator interface for gnome-terminal

SYNOPSIS
x-terminal-emulator [-T TITLE] [-e COMMAND [ARGUMENTS...]]

DESCRIPTION
gnome-terminal.wrapper wraps gnome-terminal(1) to provide an interface that is compatible with the x-terminal-emulator specification in Debian Policy, which is a subset of the xterm(1) command-line interface.

Its behaviour is similar to gnome-terminal --wait, with some command-line options converted from x-terminal-emulator syntax to gnome-terminal(1) syntax.

OPTIONS

  Standard x-terminal-emulator options
These options work as specified in Debian Policy §11.8.3.

-T TITLE
    Set the title of the terminal to TITLE, as specified in Debian Policy. Equivalent to xterm -T TITLE or gnome-terminal -t TITLE.

-e COMMAND [ARGUMENTS...]
    Run COMMAND with arguments ARGUMENTS in the terminal, and stop parsing options after -e. Equivalent to xterm -e COMMAND ARGUMENTS.

    If there are no ARGUMENTS, gnome-terminal.wrapper will attempt to find the COMMAND in the PATH. If found, it is used as the command to execute, as specified in Debian Policy. If not found, as an extension, gnome-terminal.wrapper will treat the COMMAND as a shell command instead, running it as if via sh -c COMMAND. This is similar to the behaviour of xterm -e, but is not guaranteed to be implemented by all x-terminal-emulator implementations.

    Otherwise equivalent to gnome-terminal -- COMMAND ARGUMENTS.

  Non-standard options
These options are provided for convenience, increasing command-line compatibility with xterm(1) and/or gnome-terminal(1), but are not guaranteed to be available in other x-terminal-emulator implementations. Using these options is discouraged: to obtain functionality beyond the standardized x-terminal-emulator interface, invoke a specific terminal such as gnome-terminal(1) or xterm(1) directly.

-display X11DISPLAY
    If using X11, select X11DISPLAY as the X11 display to use. If using native Wayland, this option is ignored.

    It is preferable to set the DISPLAY and/or WAYLAND_DISPLAY environment variables instead.

-geometry COLSxROWS+X+Y
    Set the window size to COLS × ROWS at position (X,Y). Equivalent to gnome-terminal --geometry=COLSxROWS+X+Y.

-ls Using this option is treated as a command-line parsing error. In xterm(1) it would run a login shell, but gnome-terminal(1) does not have that feature.

+ls Accepted, with a warning, but otherwise ignored. gnome-terminal(1) never runs a login shell.

-n ICON
    Accepted for command-line compatibility with xterm(1), but ignored.

-name NAME
    Select NAME as a gnome-terminal(1) profile, if it exists. Equivalent to gnome-terminal --window-with-profile=NAME.

-h, --help
    Show gnome-terminal's help.

Any other option
    Passed as-is to gnome-terminal.

EXIT STATUS
The exit status is the same as for gnome-terminal(1).

STANDARDS
Debian Policy §11.8.3 "Packages providing a terminal emulator".

For more details please see <https://www.debian.org/doc/debian-policy/ch-customized-programs.html>.

This is a Debian-specific interface and should not be expected to be available on non-Debian-derived systems.

EXAMPLE
To run the command "mutt -f=" in a window with title "mutt e-mail client":

    $ x-terminal-emulator -T "mutt e-mail client" -e mutt -f=

SEE ALSO
gnome-terminal(1), xterm(1), Debian Policy <https://www.debian.org/doc/debian-policy/>.